For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
          • POSTCreate user
          • GETGet user
          • PUTUpdate user
          • DELDelete user
          • PUTConfigure MFA
          • POSTAuthenticate user
          • POSTRefresh token
          • GETLogout user
          • PUTUpdate password
          • POSTReset password
          • POSTValidate MFA
          • POSTResend MFA code
          • GETList users by org
          • GETList users by paypoint
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsUser management

List users by org

|View as Markdown|Open in Claude|
GET
/Query/users/org/:orgId
GET
/api/Query/users/org/:orgId
$curl -G https://api-sandbox.payabli.com/api/Query/users/org/123 \
> -H "requestToken: <apiKey>" \
> -d fromRecord=251 \
> -d limitRecord=0 \
> -d sortBy=desc(field_name)
1{
2 "Records": [
3 {
4 "Access": [
5 {
6 "roleValue": true
7 }
8 ],
9 "AdditionalData": "AdditionalData",
10 "createdAt": "2022-07-01T15:00:01Z",
11 "Email": "example@email.com",
12 "language": "en",
13 "lastAccess": "2022-07-01T15:00:01Z",
14 "Name": "Sean Smith",
15 "Phone": "5555555555",
16 "Scope": [
17 {
18 "orgType": 0
19 }
20 ],
21 "snData": "snData",
22 "snIdentifier": "snIdentifier",
23 "snProvider": "google",
24 "timeZone": -5,
25 "userId": 1000000,
26 "UsrMFA": false,
27 "UsrMFAMode": 0,
28 "UsrStatus": 1
29 }
30 ],
31 "Summary": {
32 "pageIdentifier": "null",
33 "pageSize": 20,
34 "totalAmount": 77.22,
35 "totalNetAmount": 77.22,
36 "totalPages": 2,
37 "totalRecords": 2
38 }
39}
Get list of users for an org. Use filters to limit results.
Was this page helpful?
Previous

Resend MFA code

Next

List users by paypoint

Authentication

requestTokenstring
API Key authentication via header

Path parameters

orgIdintegerRequired
The numeric identifier for organization, assigned by Payabli.

Query parameters

fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 20

Max number of records to return for the query. Use 0 or negative value to return all records.

parametersmap from strings to nullable stringsOptional
Collection of field names, conditions, and values used to filter the query. <Info> **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.** Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client. For example: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20 should become: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20 </Info> See [Filters and Conditions Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference) for help. **List of field names accepted:** - `createdDate` (gt, ge, lt, le, eq, ne) - `name` (ne, eq, ct, nct) - `email` (ne, eq, ct, nct) - `status` (in, nin, eq, ne) - `role.xxx` (ne, eq, ct, nct) where xxx is the role field: `roleLabel` or `roleValue` **List of comparison accepted - enclosed between parentheses:** - `eq` or empty => equal - `gt` => greater than - `ge` => greater or equal - `lt` => less than - `le` => less or equal - `ne` => not equal - `ct` => contains - `nct` => not contains - `in` => inside array separated by "|" - `nin` => not inside array separated by "|" **List of parameters accepted:** - `limitRecord`: max number of records for query (default="20", "0" or negative value for all) - `fromRecord`: initial record in query Example: `name(ct)=john` return all records with name containing 'john'.
sortBystringOptional

The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.

Response

Success
Recordslist of objects
Summaryobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error

Collection of field names, conditions, and values used to filter the query.

You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.

Because of a technical limitation, you can’t make a request that includes filters from the API console on this page. The response won’t be filtered. Instead, copy the request, remove parameters= and run the request in a different client.

For example:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

should become:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20

See Filters and Conditions Reference for help.

List of field names accepted:

  • createdDate (gt, ge, lt, le, eq, ne)
  • name (ne, eq, ct, nct)
  • email (ne, eq, ct, nct)
  • status (in, nin, eq, ne)
  • role.xxx (ne, eq, ct, nct) where xxx is the role field: roleLabel or roleValue

List of comparison accepted - enclosed between parentheses:

  • eq or empty => equal
  • gt => greater than
  • ge => greater or equal
  • lt => less than
  • le => less or equal
  • ne => not equal
  • ct => contains
  • nct => not contains
  • in => inside array separated by ”|”
  • nin => not inside array separated by ”|”

List of parameters accepted:

  • limitRecord: max number of records for query (default=“20”, “0” or negative value for all)
  • fromRecord: initial record in query

Example: name(ct)=john return all records with name containing ‘john’.